/*
  SPDX-FileCopyrightText: 2015-2021 Laurent Montel <montel@kde.org>

  SPDX-License-Identifier: GPL-2.0-or-later
*/

#pragma once

#include "pimcommon_export.h"
#include <QPrintPreviewDialog>

namespace PimCommon
{
/**
 * @brief The KPimPrintPreviewDialog class
 * @author Laurent Montel <montel@kde.org>
 */
class PIMCOMMON_EXPORT KPimPrintPreviewDialog : public QPrintPreviewDialog
{
    Q_OBJECT
public:
    explicit KPimPrintPreviewDialog(QWidget *parent = nullptr);
    explicit KPimPrintPreviewDialog(QPrinter *printer, QWidget *parent = nullptr);
    ~KPimPrintPreviewDialog() override;

private:
    void readConfig();
    void writeConfig();
};
}

